#pragma once

#include "ofMain.h"

class Particle {
    
public:
    Particle();
    void update(float &speedMultiplier);
    void draw(float &particleSize);
    void findFriend();
    void clearFriends();
    void shake();
    
    ofVec2f force;
    ofVec2f position;
    
    float baseSize;
    float sineShake = 0;
    float sineFrequency = 0;
    
    vector<Particle> * allParticles;
    vector<Particle *> friends;
    
    float screenWidth;
    float screenHeight;
    
    int index;
    bool isActive = true;
    
    bool followFriends = false;
    bool useOnlyFirstFriend = false;
    bool rotateTowardsCenterOfFriends = false;
    bool deActivateIfGoesOut = false;
    bool useGravity = false;
    bool disabledIfGoesOut = false;
};
